Bug 200078 - kdissert fails to build in mock with minimal build environment.
kdissert fails to build in mock with minimal build environment.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdissert (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-BuildReq
  Show dependency treegraph
 
Reported: 2006-07-25 08:00 EDT by Paul Howarth
Modified: 2013-01-09 23:00 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.6-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 19:31:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build log with minimal environment (3.86 KB, text/plain)
2006-07-25 08:00 EDT, Paul Howarth
no flags Details

  None (edit)
Description Paul Howarth 2006-07-25 08:00:54 EDT
The current SRPM in Fedora Extras development fails to build in mock if the
minimal build group is reduced to only the packages listed in the Exceptions
section of the packaging guidelines.  build.log is attached.

I realise that this is fixed in CVS with the new version, and you've probably
got some reason why the new version hasn't been built yet; this bug is just an
indicator that this package has been looked at so that other people can skip it
when running through the "Extras rebuild in mock" reports.

Incidentally, I'd suggest adding a buildreq of "which" to the package. Whilst
"which" is included in the list of packages that don't *need* to be included in
buildreqs, the build of this package fails in a rather non-obvious way if it's
not present.
Comment 1 Paul Howarth 2006-07-25 08:00:54 EDT
Created attachment 132972 [details]
Build log with minimal environment

Note You need to log in before you can comment on or make changes to this bug.